/** Cruds npm config files (npmrc and package.json) */
export declare class NpmConfigRepo {
    private _projectRoot;
    constructor(_projectRoot: string);
    /** NOTE: Returns an empty object if the file doesnt exist.
     * @param scrubIdentities Removes any auth tokens or scopes from the config object.
     */
    loadNpmrc(absolutePathName: string, scrubIdentities?: boolean): Promise<any>;
    /** Writes the given npmrc object to the given path, using the ini lib to encode it. */
    saveNpmrc(npmrc: any, absolutePathName: string): Promise<void>;
    /** Removes any auth tokens or scopes from the config object. */
    scrubRegistriesFrom(npmrc: any): any;
}
